import { world, system, Player, EntityHitBlockAfterEvent, EntityHitEntityAfterEvent } from '@minecraft/server';
// Подписываемся на событие, когда любая сущность ударяет другую сущность
world.afterEvents.entityHitEntity.subscribe(event => {
    const { damagingEntity, hitEntity } = event;

    // Проверяем, является ли атакующий сущность игроком
    if (damagingEntity instanceof Player) {
        const player = damagingEntity;

        // Получаем предмет, который игрок держит в руке
        const mainhandItem = player.getComponent('equippable')?.getEquipment('Mainhand');

        // Проверяем, существует ли предмет и является ли он нашим мечом
        if (mainhandItem && mainhandItem.typeId === "mebesm_igg:sword_gaze_gloom") {
            // Если это наш меч, выполняем функцию
            player.runCommandAsync("function AnimAttackMobSword");

            // Опционально: можно добавить сообщения или другие действия
            // player.sendMessage(`Вы ударили ${hitEntity.typeId} мечом Gaze Gloom!`);
        }
    }
});